Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecFuncStringInfo

    java.lang.Object
      jet.api.SpecFuncInfo
          jet.api.SpecFuncStringInfo

    public class SpecFuncStringInfo

extends SpecFuncInfo

SpecFuncStringInfo class defines a Special Function of String type.

Field Summary
`static int` | `FIRST` Interval's direction with which to group the data.
`static int` | `GROUPNAME_NOTCONVERT` Not convert group name.
`static int` | `GROUPNAME_TOLOWERCASE` Converts group name to lower case.
`static int` | `GROUPNAME_TOUPPERCASE` Converts group name to upper case.
`static int` | `LAST` Interval's direction with which to group the data.

Fields inherited from class jet.api.SpecFuncInfo
`DATETIME_INTERVALS, NUM_INTERVALS, STRING_INTERVALS, VALUE_CHANGE`

Constructor Summary
`SpecFuncStringInfo()` Constructs a Special Function definition of String type.

Method Summary
`boolean` | `getCaseSensitive()` Gets whether no not JReport will distinguish between uppercase and lowercase characters when grouping.
`int` | `getConvertGroupName()` Gets the flag of how to convert the group name.
`int` | `getDirection()` Gets the interval's direction with which to group the data.
`int` | `getType()` Gets the Special Function's type.
`void` | `setCaseSensitive(boolean caseSensitive)` Sets whether no not JReport will distinguish between uppercase and lowercase characters when grouping.
`void` | `setConvertGroupName(int conGrpName)` Sets the flag of how to convert the group name.
`void` | `setDirection(int direction)` Specifies the interval's direction with which to group the report data.
`void` | `setInterNum(java.lang.String sInterval)` Sets the String format value of the interval of Special Function definition.

Methods inherited from class jet.api.SpecFuncInfo
`getDesc, getInterNum, getOtherName, setDesc, setOtherName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIRST

    public static final int FIRST

  Interval's direction with which to group the data.

  See Also:
    Constant Field Values

### LAST

    public static final int LAST

  Interval's direction with which to group the data.

  See Also:
    Constant Field Values

### GROUPNAME_NOTCONVERT

    public static final int GROUPNAME_NOTCONVERT

  Not convert group name.

  See Also:
    Constant Field Values

### GROUPNAME_TOUPPERCASE

    public static final int GROUPNAME_TOUPPERCASE

  Converts group name to upper case.

  See Also:
    Constant Field Values

### GROUPNAME_TOLOWERCASE

    public static final int GROUPNAME_TOLOWERCASE

  Converts group name to lower case.

  See Also:
    Constant Field Values

Constructor Detail

### SpecFuncStringInfo

    public SpecFuncStringInfo()

  Constructs a Special Function definition of String type.

Method Detail

### getType

    public int getType()

  Gets the Special Function's type.

  Overrides:
    `getType` in class `SpecFuncInfo`
  Returns:
    `SpecFuncInfo.STRING_INTERVALS`.

### setInterNum

    public void setInterNum(java.lang.String sInterval)

  Sets the String format value of the interval of Special Function definition. Note: N should be not larger than 255.

  Overrides:
    `setInterNum` in class `SpecFuncInfo`
  Parameters:
    `sInterval` - The String format value of the interval of Special Function definition.

### getDirection

    public int getDirection()

  Gets the interval's direction with which to group the data.

  Returns:
    the interval's direction with which to group the data.
  See Also:
    `setDirection(int)`

### setDirection

    public void setDirection(int direction)

  Specifies the interval's direction with which to group the report data.

  Parameters:
    `The` - interval's direction with which to group the data.
  See Also:
    `FIRST`, `LAST`

### getCaseSensitive

    public boolean getCaseSensitive()

  Gets whether no not JReport will distinguish between uppercase and lowercase characters when grouping.

  Returns:
    `true` if distinguishing between uppercase and lowercase characters when grouping; `false` otherwise.

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

  Sets whether no not JReport will distinguish between uppercase and lowercase characters when grouping.

  Parameters:
    `caseSensitive` - `true` if distinguishing between uppercase and lowercase characters when grouping; `false` otherwise.

### getConvertGroupName

    public int getConvertGroupName()

  Gets the flag of how to convert the group name. This will take effect if and only if setCaseSensitive(false).

  Returns:
    the int value flag of how to convert the group name.
  See Also:
    `setConvertGroupName(int)`

### setConvertGroupName

    public void setConvertGroupName(int conGrpName)

  Sets the flag of how to convert the group name. This will take effect if and only if setCaseSensitive(false).

  Parameters:
    `conGrpName` - The int flag of how to convert the group name.
  See Also:
    `GROUPNAME_NOTCONVERT`, `GROUPNAME_TOLOWERCASE`, `GROUPNAME_TOUPPERCASE`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD